## halibut 0.9+cvs20040804

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,11 @@
 # Currently depends on GNU make, because:
 #  - the Makefile uses GNU ifdef / ifndef commands and GNU make `%'
 #    pattern rules
+
+prefix=/usr/local
+exec_prefix=$(prefix)
+bindir=$(exec_prefix)/bin
+INSTALL=install -c
 
 ifdef RELEASE
 ifndef VERSION
@@ -35,9 +40,9 @@
 endif
 endif
 
-all:
+all install:
 	@test -d $(BUILDDIR) || mkdir $(BUILDDIR)
-	@make -C $(BUILDDIR) -f ../Makefile REALBUILD=yes
+	@make -C $(BUILDDIR) -f ../Makefile $@ REALBUILD=yes
 
 spotless: topclean
 	@test -d $(BUILDDIR) || mkdir $(BUILDDIR)
@@ -71,7 +76,7 @@
 	    ) > reltmp/$(RELDIR)/manifest;                              \
 	    echo "-DVERSION=\"$(VERSION)\"" > reltmp/$(RELDIR)/version; \
 	fi
-	tar chzvCf reltmp - $(RELDIR) > $(RELDIR).tar.gz
+	tar chzvoCf reltmp - $(RELDIR) > $(RELDIR).tar.gz
 	rm -rf reltmp
 
 else
@@ -96,14 +101,24 @@
 VDEF = `(cd $(SRC); md5sum -c manifest && cat version)`
 endif
 
+all: halibut
+
 SRC := ../
+
+LIBCHARSET_SRCDIR = $(SRC)charset/
+LIBCHARSET_OBJDIR = ./#
+LIBCHARSET_OBJPFX = cs-#
+LIBCHARSET_GENPFX = charset-#
+MD = -MD
+CFLAGS += -I$(LIBCHARSET_SRCDIR) -I$(LIBCHARSET_OBJDIR)
+include $(LIBCHARSET_SRCDIR)Makefile
 
 MODULES := main malloc ustring error help licence version misc tree234
 MODULES += input keywords contents index style biblio
-MODULES += bk_text bk_xhtml bk_whlp bk_man
-MODULES += winhelp
+MODULES += bk_text bk_html bk_whlp bk_man bk_info bk_paper bk_ps bk_pdf
+MODULES += winhelp psdata wcwidth
 
-OBJECTS := $(addsuffix .o,$(MODULES))
+OBJECTS := $(addsuffix .o,$(MODULES)) $(LIBCHARSET_OBJS)
 DEPS := $(addsuffix .d,$(MODULES))
 
 halibut: $(OBJECTS)
@@ -121,6 +136,10 @@
 clean::
 	rm -f *.o halibut core
 
+install:
+	$(INSTALL) -m 755 halibut $(bindir)/halibut
+	$(MAKE) -C ../doc install prefix="$(prefix)" INSTALL="$(INSTALL)"
+
 FORCE: # phony target to force version.o to be rebuilt every time
 
 -include $(DEPS)
