## halibut 0.9+svn20050729

=== Makefile ===
--- 
+++ 
@@ -9,11 +9,14 @@
 # Currently depends on GNU make, because:
 #  - the Makefile uses GNU ifdef / ifndef commands and GNU make `%'
 #    pattern rules
+#  - we use .PHONY
 
 prefix=/usr/local
 exec_prefix=$(prefix)
 bindir=$(exec_prefix)/bin
 INSTALL=install -c
+
+.PHONY: all install clean spotless topclean release
 
 ifdef RELEASE
 ifndef VERSION
@@ -42,15 +45,15 @@
 
 all install:
 	@test -d $(BUILDDIR) || mkdir $(BUILDDIR)
-	@make -C $(BUILDDIR) -f ../Makefile $@ REALBUILD=yes
+	@$(MAKE) -C $(BUILDDIR) -f ../Makefile $@ REALBUILD=yes
 
 spotless: topclean
 	@test -d $(BUILDDIR) || mkdir $(BUILDDIR)
-	@make -C $(BUILDDIR) -f ../Makefile spotless REALBUILD=yes
+	@$(MAKE) -C $(BUILDDIR) -f ../Makefile spotless REALBUILD=yes
 
 clean: topclean
 	@test -d $(BUILDDIR) || mkdir $(BUILDDIR)
-	@make -C $(BUILDDIR) -f ../Makefile clean REALBUILD=yes
+	@$(MAKE) -C $(BUILDDIR) -f ../Makefile clean REALBUILD=yes
 
 # Remove Halibut output files in the source directory (may
 # have been created by running, for example, `build/halibut
@@ -61,23 +64,8 @@
 # Make a release archive. If $(VERSION) is specified, this will
 # also contain a `manifest' file which will be used to decide the
 # version number automatically.
-release:
-	find . -name CVS -prune -o -name build -prune -o -name reltmp -prune \
-	       -o -type d -exec mkdir -p reltmp/$(RELDIR)/{} \;
-	find . -name CVS -prune -o -name build -prune -o -name reltmp -prune \
-	       -o -name '*.orig' -prune -o -name '*.rej' -prune \
-	       -o -name '*.txt' -prune -o -name '*.html' -prune \
-	       -o -name '*.1' -prune -o -name '.cvsignore' -prune \
-	       -o -name '*.gz' -prune -o -name '.[^.]*' -prune \
-	       -o -type f -exec ln -s $(PWD)/{} reltmp/$(RELDIR)/{} \;
-	if test "x$(VERSION)y" != "xy"; then                            \
-	    (cd reltmp/$(RELDIR);                                       \
-	     find . -name '*.[ch]' -exec md5sum {} \;                   \
-	    ) > reltmp/$(RELDIR)/manifest;                              \
-	    echo "-DVERSION=\"$(VERSION)\"" > reltmp/$(RELDIR)/version; \
-	fi
-	tar chzvoCf reltmp - $(RELDIR) > $(RELDIR).tar.gz
-	rm -rf reltmp
+release: release.sh
+	./release.sh $(RELDIR) $(VERSION)
 
 else
 
@@ -105,7 +93,11 @@
 
 SRC := ../
 
+ifeq ($(shell test -d $(SRC)charset && echo yes),yes)
 LIBCHARSET_SRCDIR = $(SRC)charset/
+else
+LIBCHARSET_SRCDIR = $(SRC)../charset/
+endif
 LIBCHARSET_OBJDIR = ./#
 LIBCHARSET_OBJPFX = cs-#
 LIBCHARSET_GENPFX = charset-#
