## halibut 1.0

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 # The `real' makefile part.
 
-CFLAGS += -Wall -W
+CFLAGS += -Wall -W -ansi -pedantic
 
 ifdef TEST
 CFLAGS += -DLOGALLOC
@@ -86,7 +86,7 @@
 ifdef VER
 VDEF = -DVERSION=\"$(VER)\"
 else
-VDEF = `(cd $(SRC); md5sum -c manifest && cat version)`
+VDEF = `(cd $(SRC); md5sum -c manifest >& /dev/null && cat version)`
 endif
 
 all: halibut
@@ -106,9 +106,9 @@
 include $(LIBCHARSET_SRCDIR)Makefile
 
 MODULES := main malloc ustring error help licence version misc tree234
-MODULES += input keywords contents index style biblio
+MODULES += input in_afm in_pf keywords contents index biblio
 MODULES += bk_text bk_html bk_whlp bk_man bk_info bk_paper bk_ps bk_pdf
-MODULES += winhelp psdata wcwidth
+MODULES += winhelp deflate psdata wcwidth
 
 OBJECTS := $(addsuffix .o,$(MODULES)) $(LIBCHARSET_OBJS)
 DEPS := $(addsuffix .d,$(MODULES))
