=== charset/Makefile ===
--- 
+++ 
@@ -55,11 +55,13 @@
 LIBCHARSET_OBJS = \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)big5enc.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)big5set.o \
+	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)cns11643.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)cp949.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)euc.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)fromucs.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)gb2312.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)hz.o \
+	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)iso2022.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)iso2022s.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)istate.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)jisx0208.o \
@@ -92,6 +94,10 @@
 	$(LIBCHARSET_SRCDIR)big5set.c
 	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
 
+$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)cns11643.o: \
+	$(LIBCHARSET_SRCDIR)cns11643.c
+	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
+
 $(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)cp949.o: \
 	$(LIBCHARSET_SRCDIR)cp949.c
 	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
@@ -110,6 +116,11 @@
 
 $(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)hz.o: \
 	$(LIBCHARSET_SRCDIR)hz.c
+	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
+
+$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)iso2022.o: \
+	$(LIBCHARSET_SRCDIR)iso2022.c \
+	$(LIBCHARSET_OBJDIR)sbcsdat.h
 	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
 
 $(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)iso2022s.o: \
