## halibut 1.0%2Bsvn20090906

=== charset/Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)big5set.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)cns11643.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)cp949.o \
+	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)emacsenc.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)euc.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)fromucs.o \
 	$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)gb2312.o \
@@ -102,6 +103,10 @@
 	$(LIBCHARSET_SRCDIR)cp949.c
 	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
 
+$(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)emacsenc.o: \
+	$(LIBCHARSET_SRCDIR)emacsenc.c
+	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
+
 $(LIBCHARSET_OBJDIR)$(LIBCHARSET_OBJPFX)euc.o: \
 	$(LIBCHARSET_SRCDIR)euc.c
 	$(CC) $(CFLAGS) $(MD) -c -o $@ $<
