## halibut 1.0%2bsvn20090906-8

=== debian/control ===
Source: halibut
Section: text
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.5
Build-Depends: dpkg-dev, debhelper (>= 7.0.50~)
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
Vcs-Git: git://anonscm.debian.org/users/cjwatson/halibut.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/halibut.git

Package: halibut
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: enscript, vim
Description: yet another free document preparation system
 This is yet another text formatting system, intended primarily for writing
 software documentation. It accepts a single source format and outputs any
 or all of text, HTML, Windows Help, man pages, GNU info, PostScript, or
 PDF. It has comprehensive indexing and cross-referencing support, and
 generates hyperlinks within output documents wherever possible. It supports
 Unicode, with the ability to fall back to an alternative representation
 when Unicode output is not available.
