## halibut 1.0%2bsvn20090906-10

=== debian/changelog ===
halibut (1.0+svn20090906-10) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Feb 2014 20:33:46 +0000
