=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,10 @@
 %:
 	dh $@
 
-buildflags := $(shell dpkg-buildflags --export=configure)
+CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+LFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+buildflags := CFLAGS="$(CFLAGS)" LFLAGS="$(LFLAGS)"
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -25,3 +28,6 @@
 # Not worth the hassle; we do this ourselves.
 override_dh_auto_install:
 	:
+
+override_dh_installinfo:
+	echo skip dh_installinfo
