## halibut 1.0+svn20090906

=== Makefile ===
--- 
+++ 
@@ -86,7 +86,7 @@
 ifdef VER
 VDEF = -DVERSION=\"$(VER)\"
 else
-VDEF = `(cd $(SRC); md5sum -c manifest >& /dev/null && cat version)`
+VDEF = `(cd $(SRC); md5sum -c manifest >/dev/null 2>&1 && cat version)`
 endif
 
 all: halibut
@@ -106,7 +106,7 @@
 include $(LIBCHARSET_SRCDIR)Makefile
 
 MODULES := main malloc ustring error help licence version misc tree234
-MODULES += input in_afm in_pf keywords contents index biblio
+MODULES += input in_afm in_pf in_sfnt keywords contents index biblio
 MODULES += bk_text bk_html bk_whlp bk_man bk_info bk_paper bk_ps bk_pdf
 MODULES += winhelp deflate psdata wcwidth
