=== doc/Makefile ===
--- 
+++ 
@@ -20,4 +20,8 @@
 	$(INSTALL) -m 644 halibut.1 $(man1dir)/halibut.1
 
 clean:
-	rm -f *.html *.txt *.hlp *.cnt *.1 *.info* *.ps *.pdf
+	rm -f *.html *.txt *.hlp *.cnt *.1 *.info* *.ps *.pdf *.hh* *.chm
+
+chm: halibut.hhp
+halibut.hhp: $(INPUTS) $(HALIBUT) chm.but
+	$(HALIBUT) --html $(INPUTS) chm.but
