=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: dpkg-dev, debhelper (>= 7.0.50~)
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 7.0.50~)
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
 Vcs-Git: git://anonscm.debian.org/users/cjwatson/halibut.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/halibut.git
