=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,3 @@
 # Not worth the hassle; we do this ourselves.
 override_dh_auto_install:
 	:
-
-override_dh_installinfo:
-	echo skip dh_installinfo
