=== debian/watch ===
version=2
http://www.chiark.greenend.org.uk/~sgtatham/halibut/halibut-(.*)\.tar\.gz
