=== debian/changelog ===
halibut (1.1-4) unstable; urgency=medium

  * Convert debian/copyright to copyright-format 1.0.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Jan 2016 22:39:07 +0000

halibut (1.1-3) unstable; urgency=medium

  * Upgrade to debhelper v9.
  * Build with large file support.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Jan 2016 13:04:23 +0000

halibut (1.1-2) unstable; urgency=medium

  * Implement SOURCE_DATE_EPOCH for reproducible builds.
  * Build Halibut's own documentation with LC_ALL=C.UTF-8 TZ=UTC to avoid
    reproducibility problems.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Nov 2015 16:28:26 +0000

halibut (1.1-1) unstable; urgency=medium

  * New upstream release (closes: #782031).

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Aug 2015 16:19:08 +0100
