=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 7.0.50~)
+Standards-Version: 3.9.6
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9)
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
 Vcs-Git: git://anonscm.debian.org/users/cjwatson/halibut.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/halibut.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/halibut.git/
 
 Package: halibut
 Architecture: any
