## halibut 1.2

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,9 @@
 LIBS += -lefence
 endif
 
-all: halibut
+EXE =#
+
+all: halibut$(EXE)
 
 SRC := ../
 
@@ -91,17 +93,18 @@
 MD = -MD
 CFLAGS += -I$(LIBCHARSET_SRCDIR) -I$(LIBCHARSET_OBJDIR)
 include $(LIBCHARSET_SRCDIR)Makefile
+CC_LINK = $(CC) -o $@
 
 MODULES := main malloc ustring error help licence version misc tree234
 MODULES += input in_afm in_pf in_sfnt keywords contents index biblio
 MODULES += bk_text bk_html bk_whlp bk_man bk_info bk_paper bk_ps bk_pdf
-MODULES += winhelp deflate psdata wcwidth
+MODULES += winhelp winchm deflate lzx lz77 huffman psdata wcwidth
 
 OBJECTS := $(addsuffix .o,$(MODULES)) $(LIBCHARSET_OBJS)
 DEPS := $(addsuffix .d,$(MODULES))
 
-halibut: $(OBJECTS)
-	$(CC) $(LFLAGS) -o halibut $(OBJECTS) $(LIBS)
+halibut$(EXE): $(OBJECTS)
+	$(CC_LINK) $(LFLAGS) $(OBJECTS) $(LIBS)
 
 %.o: $(SRC)%.c
 	$(CC) $(CFLAGS) -MD -c $<
@@ -116,6 +119,7 @@
 	rm -f *.o halibut core
 
 install:
+	mkdir -p $(prefix) $(bindir)
 	$(INSTALL) -m 755 halibut $(bindir)/halibut
 	$(MAKE) -C ../doc install prefix="$(prefix)" INSTALL="$(INSTALL)"
