=== debian/changelog ===
halibut (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Use HTTPS for Vcs-* URLs.
  * Update Homepage, debian/copyright Source, and debian/watch to use HTTPS.
  * Adjust debian/watch to cope with an extra subdirectory.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Jun 2017 11:30:08 +0100
