=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9)
-Homepage: http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
-Vcs-Git: git://anonscm.debian.org/users/cjwatson/halibut.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/halibut.git/
+Homepage: https://www.chiark.greenend.org.uk/~sgtatham/halibut.html
+Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/halibut.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/halibut.git/
 
 Package: halibut
 Architecture: any
