=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
include /usr/share/dpkg/buildflags.mk
buildflags := CFLAGS="$(CPPFLAGS) $(CFLAGS)" LFLAGS="$(LDFLAGS)"

unexport TEST

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

override_dh_auto_build:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(buildflags) dh_auto_build
	LC_ALL=C.UTF-8 TZ=UTC $(MAKE) -C doc
else
	$(buildflags) dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc
	$(buildflags) $(MAKE) BUILDDIR=build-native
	LC_ALL=C.UTF-8 TZ=UTC $(MAKE) -C doc HALIBUT=../build-native/halibut
endif

override_dh_auto_clean:
	$(MAKE) -C doc clean
	dh_auto_clean
	rm -rf build build-native

# Not worth the hassle; we do this ourselves.
override_dh_auto_install:
	:
