=== debian/watch ===
version=3
https://www.chiark.greenend.org.uk/~sgtatham/halibut/ (?:.*/)?halibut-(.*)\.tar\.gz
